Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class ListLevel

    java.lang.Object
      org.apache.poi.hwpf.model.ListLevel

    public final class ListLevel

extends java.lang.Object

Constructor Summary
`ListLevel(byte[] buf, int offset)`
`ListLevel(int level, boolean numbered)`
`ListLevel(int startAt, int numberFormatCode, int alignment, byte[] numberProperties, byte[] entryProperties, java.lang.String numberText)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getAlignment()`
`byte[]` | `getLevelProperties()`
`int` | `getNumberFormat()`
`java.lang.String` | `getNumberText()`
`int` | `getSizeInBytes()`
`int` | `getStartAt()`
`void` | `setAlignment(int alignment)`
`void` | `setLevelProperties(byte[] grpprl)`
`void` | `setNumberFormat(int numberFormatCode)`
`void` | `setNumberProperties(byte[] grpprl)`
`void` | `setStartAt(int startAt)`
`byte[]` | `toByteArray()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListLevel

    public ListLevel(int startAt,
                     int numberFormatCode,
                     int alignment,
                     byte[] numberProperties,
                     byte[] entryProperties,
                     java.lang.String numberText)

### ListLevel

    public ListLevel(int level,
                     boolean numbered)

### ListLevel

    public ListLevel(byte[] buf,
                     int offset)

Method Detail

### getStartAt

    public int getStartAt()

### getNumberFormat

    public int getNumberFormat()

### getAlignment

    public int getAlignment()

### getNumberText

    public java.lang.String getNumberText()

### setStartAt

    public void setStartAt(int startAt)

### setNumberFormat

    public void setNumberFormat(int numberFormatCode)

### setAlignment

    public void setAlignment(int alignment)

### setNumberProperties

    public void setNumberProperties(byte[] grpprl)

### setLevelProperties

    public void setLevelProperties(byte[] grpprl)

### getLevelProperties

    public byte[] getLevelProperties()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toByteArray

    public byte[] toByteArray()

### getSizeInBytes

    public int getSizeInBytes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.